## Apache Zeta Components Manual :: Docs For Class ezcDbSchemaWriter

### DatabaseSchema::ezcDbSchemaWriter

### Interface ezcDbSchemaWriter

This class provides the base interface for schema writers.

This interface is extended by both a specific interface for schema writers who writer to a file (@link ezcDbSchemaFileWriter) and one for writers which create tables in a database (@link ezcDbSchemaDbWriter).

Source for this file: /DatabaseSchema/src/interfaces/schema_writer.php

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDbSchemaFileWriter | This class provides the interface for file schema writers
ezcDbSchemaDbWriter | This class provides the interface for database schema writers

### Method Summary

public int | `getWriterType( )` Returns what type of schema writer this class implements.

### Methods

#### getWriterType

int getWriterType( )

Returns what type of schema writer this class implements.

Depending on the class it either returns ezcDbSchema::DATABASE (for writers that create tables in a database) or ezcDbSchema::FILE (for writers that writer schema definitions to a file).

Documentation generated by phpDocumentor 1.4.3